Lister toutes les notes
curl --request GET \
--url https://api.devin.ai/v3/enterprise/knowledge/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/knowledge/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/knowledge/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"body": "<string>",
"created_at": 123,
"folder_id": "<string>",
"folder_path": "<string>",
"is_enabled": true,
"macro": "<string>",
"name": "<string>",
"note_id": "<string>",
"org_id": "<string>",
"pinned_repo": "<string>",
"trigger": "<string>",
"updated_at": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Notes de Knowledge (Enterprise)
Lister toutes les notes
GET
/
v3
/
enterprise
/
knowledge
/
notes
Lister toutes les notes
Autorisations
ManageAccountKnowledge au niveau Enterprise.Autorisations
Identifiant de compte de service (préfixe : cog_)
Paramètres de requête
Plage requise:
1 <= x <= 200Options disponibles:
org, enterprise Réponse
Réponse réussie
Show child attributes
Show child attributes
Curseur permettant de récupérer la page suivante, ou None s’il s’agit de la dernière page.
Indique s’il existe d’autres éléments après cette page.
Nombre total optionnel (peut être omis pour des raisons de performances).
⌘I

